DiseaseMulcherHealer = {}

function DiseaseMulcherHealer.prerequisitesPresent(specs)
    return SpecializationUtil.hasSpecialization(Mulcher, specs)
end

function DiseaseMulcherHealer.initSpecialization() end

function DiseaseMulcherHealer.registerEventListeners(vehicleType)
    SpecializationUtil.registerEventListener(vehicleType, "onEndWorkAreaProcessing", DiseaseMulcherHealer)
end

function DiseaseMulcherHealer:onEndWorkAreaProcessing(dt)
    local spec = self.spec_mulcher
    local worked = spec ~= nil and (spec.isWorking == true or spec.isWorkingIdle == true)
    DiseaseCareUtil.handleCareAction(self, "mulcher", spec, worked)
end
